/* GLOBAL STYLES & LAYOUT REFERENCE
 * Source: MediaLoot Blog - "How to Code a Homepage Template with HTML5 and CSS3" by Tony Thomas
 * URL: https://medialoot.com/blog/how-to-code-a-homepage-template-with-html5-and-css3/
*/
body {
  margin: 0;
  padding: 0;
  background-color: #f1f6ff;
  color: #777;
  font: normal 16px "Times New Roman", Times, serif;
}
main {
  padding: 50px;
}
p {
  font-family: Georgia, "Times New Roman", Times, serif;
  line-height: 20px;
  margin-bottom: 20px;
}
h1 {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-weight: bold;
  color: #444;
  font-size: 45px;
  margin-bottom: 20px;
}
h2 {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-weight: 300;
  font-size: 45px;
  color: #444;
  margin-bottom: 20px;
}
h3 {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 30px;
  color: #444;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 20px;
}
h4 {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 24px;
  color: #444;
  font-weight: bold;
  margin-bottom: 20px;
}
h5 {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 15px;
  color: #444;
  font-weight: bold;
}
a {
  font-family: Georgia, "Times New Roman", Times, serif;
  text-decoration: none;
  color: #444;
}
.clear {
  clear: both;
}
.wrapper {
  margin: 0 auto;
  padding: 0 10px;
  width: 980px;
}
ul {
  list-style-type: disc;
}

/* To prevent display property from being overwritten, use !important to protect priority 
resource: https://www.w3schools.com/css/css_important.asp*/
.messageHidden {
  display: none !important;
}

/* .filter-bt-hidden {
  display: none !important;
}
.filter-box-hidden {
  display: none !important;
} */
.detail-hidden {
  display: none !important;
}

#hero-image {
  background-color: #8c0707;
  height: 120px;
  margin-bottom: 20px;
}
#title-box {
  display: grid;
  grid-template-columns: 20% auto;
  align-items: center;
}

#header-img img {
  width: 100px;
}
#header-title {
  position: relative;
  right: 50px;
}
#title1 {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 25px;
  color: #ffffff;
  padding-bottom: 5px;
}
#title2 {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 18px;
  color: #ffffff;
}
/* Query part */
#schedule_form,
form {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 18px;
  color: #444;
  font-weight: bold;
  display: flex;
  margin-bottom: 20px;
}
#date_selector,
#time_selector {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 16px;
  color: #444;
  margin-right: 40px;
}

#bt_submit_filter {
  display: flex;
}
#bt_query,
#bt_filter {
  width: 100px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 15px;
  color: #ffffff;
  margin-right: 100px;
  padding: 5px 10px;
  border-radius: 10px;
  border: 1px solid #ffffff;
  background-color: #de7171;
  margin: 5px;
}
#bt_filter:active,
#bt_filter:hover,
#bt_query:active,
#bt_query:hover {
  color: rgb(255, 255, 255);
  background-color: #8c0707;
}
.details_button {
  width: 100px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 15px;
  color: #444;
  margin-right: 100px;
  padding: 5px 10px;
  border-radius: 10px;
  border: 1px solid #ffffff;
  background-color: #d9d9d9;
  margin: 5px;
}

.details_button:active,
.details_button:hover {
  color: rgb(255, 255, 255);
  background-color: #8c0707;
}
#filter_box {
  font-family: Georgia, "Times New Roman", Times, serif;
  border-radius: 10px;
  border: 1px solid #444;
  display: flex;
  align-items: center;
  padding: 20px;
  margin-bottom: 20px;
  margin-top: 5px;
}
#dateDisplay {
  display: block;
  text-align: center;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 25px;
  text-decoration: underline;
  margin-top: 20px;
  margin-bottom: 20px;
}
#timeDisplay {
  display: block;
  text-align: start;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 20px;
  margin-bottom: 35px;
}
#emptyMessage {
  padding-top: 20px;
  text-align: center;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 24px;
}

.sessions {
  margin-bottom: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 18px;
  margin: 20px 20 20px 0;
}
.sessionTitle {
  margin-top: 20px;
  text-decoration: underline;
  margin-bottom: 5px;
  line-height: 25px;
}

.sessionType {
  background-color: rgb(241, 214, 218);
  color: #444;
}

.sessionType,
.sessionStartTime,
.sessionLocation {
  margin-bottom: 20px;
  margin-right: 40px;
  border-radius: 10px;
  padding: 5px 10px;
}
.details_display {
  position: relative;
  left: 30px;
  margin: 15px 0 30px;
  border-radius: 10px;
  border-left: 1px solid #444;
}
.subBox {
  width: 950px;
  padding: 15px 25px;
  border: 0 0 0 1px;
  line-height: 25px;
}

.paper {
  background-color: rgb(194, 200, 222);
  color: #444;
}
.subTitle {
  margin: 5px 0;
}
.subAuthors {
  text-decoration: underline #979797;
}

footer {
  background-color: rgb(142, 140, 171);
  width: 100%;
  overflow: hidden;
  color: #ffffff;
  position: fixed;
  bottom: 0;
}

#footer-info {
  padding: 15px 15px;
  text-align: center;
  font-family: Georgia, "Times New Roman", Times, serif;
  line-height: 20px;
  font-size: 15px;
}
#footer-info b {
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bolder;
}
